#!/bin/bash

# Get OS "ID" (lowercase name) and "VARIANT_ID"
ID="`grep '^ID=' /etc/os-release | cut -d= -f2`-`grep 'VARIANT_ID=' /etc/os-release | cut -d= -f2`"

# Trim if no VARIANT exists (eg. 'debian')
ID=`echo $ID | sed -e 's/\-$//'`

# Run appropriate script from same path as this one
eval `echo $0 $1| sed -e "s/pkg/${ID}/"`
